API Reference
Base URL
Resources
Agents
Create, manage, and publish AI agentsGET /agents- List AgentsPOST /agents- Create AgentGET /agents/{agent_id}- Get AgentPUT /agents/{agent_id}- Update AgentDELETE /agents/{agent_id}- Delete AgentPOST /agents/{agent_id}/publish- Publish AgentGET /agents/{agent_id}/versions- List Agent Versions
AgentsSessions
Create, manage, and chat with agent sessionsPOST /agents/name/{name}/sessions- Create Session By NameGET /agents/{agent_id}/sessions- List SessionsPOST /agents/{agent_id}/sessions- Create SessionPOST /sessions/{session_id}/chat- Send Chat MessagePOST /sessions/{session_id}/chat/stream- Send a chat message with file attachments and stream the response via SSE
ArtifactSchemas
Define structured output schemas for agent artifactsGET /artifact-schemas- List Artifact SchemasPOST /artifact-schemas- Create Artifact SchemaGET /artifact-schemas/{artifact_id}- Get Artifact SchemaPUT /artifact-schemas/{artifact_id}- Update Artifact SchemaDELETE /artifact-schemas/{artifact_id}- Delete Artifact Schema
Batches
Create and manage batch processing definitionsGET /batch-definitions- List Batch DefinitionsPOST /batch-definitions- Create Batch DefinitionGET /batch-definitions/catalog-urn- Get Batch Definition By Catalog UrnGET /batch-definitions/id/{definition_id}- Get Batch Definition By IdPUT /batch-definitions/id/{definition_id}- Update Batch Definition By IdDELETE /batch-definitions/id/{definition_id}- Delete Batch Definition By IdGET /batch-definitions/id/{definition_id}/versions- List Batch Definition VersionsPOST /batch-definitions/id/{definition_id}/execute- Execute Batch Definition
Executions
Run, monitor, and manage batch executionsGET /batch-executions- List Batch ExecutionsPOST /batch-executions- Create Batch ExecutionGET /batch-executions/id/{execution_id}- Get Batch Execution By IdPUT /batch-executions/id/{execution_id}- Update Batch Execution By IdGET /batch-executions/id/{execution_id}/realtime-progress- Get Batch Realtime ProgressPOST /batch-executions/id/{execution_id}/retry-failed- Retry Failed ItemsPOST /batch-executions/id/{execution_id}/cancel- Cancel Batch Execution
ConfidenceScoring
Track and analyze confidence scoresGET /confidence-scoring/job/{job_id}- Get a scoring jobGET /confidence-scoring/jobs- List scoring jobsGET /confidence-scoring/summary/agent/{agent_name}- Get agent scoring summaryGET /confidence-scoring/summary/agent/{agent_name}/session/{session_id}- Get agent session scoring summary
Datasources
Manage data source connectionsGET /datasources- List DatasourcesPOST /datasources- Create DatasourceGET /datasources/{datasource_id}- Get DatasourcePUT /datasources/{datasource_id}- Update DatasourceDELETE /datasources/{datasource_id}- Delete Datasource
DataElements
Manage data elements within datasourcesGET /datasources/{datasource_id}/data-elements/{data_element_id}- Get Data ElementPUT /datasources/{datasource_id}/data-elements/{data_element_id}- Update Data ElementGET /datasources/{datasource_id}/data-elements- List Data ElementsPOST /datasources/{datasource_id}/data-elements/search- Search Data Elements
Downloads
Export datasources as downloadable filesPOST /datasources/{datasource_id}/downloads- Create Download Job (async)GET /datasources/{datasource_id}/downloads/{job_id}/progress- Stream Download ProgressGET /datasources/{datasource_id}/downloads/{job_id}/file- Download FilePOST /datasources/{datasource_id}/downloads/process- Process Download (sync)
FileUploads
Upload and manage content filesGET /datasources/{datasource_id}/content- List ContentPOST /datasources/{datasource_id}/content- Upload Content (async)POST /datasources/{datasource_id}/content/process- Upload Content (sync)GET /datasources/uploads/{upload_id}/progress- Stream Upload Progress
Ingest
Trigger and monitor datasource ingestionPOST /datasources/{datasource_id}/trigger-ingest- Trigger IngestGET /datasources/{datasource_id}/ingest-status- Get Ingest Status
Tables
Manage table and column descriptions for AI contextGET /datasources/{datasource_id}/tables- List TablesPUT /datasources/{datasource_id}/tables- Update Table DescriptionsGET /datasources/{datasource_id}/tables/{table_name}/columns- List ColumnsPUT /datasources/{datasource_id}/tables/{table_name}/columns- Update Column Descriptions
Documents
Parse and transform documents into structured dataPOST /documents- Parse a document (async)POST /documents/process- Parse a document (sync)GET /documents/{job_id}- Get document parsing statusGET /documents/{job_id}/result- Get parsed document resultGET /documents/{job_id}/children- List child documentsGET /documents/{job_id}/trace- Stream document parsing tracePOST /documents/transform- Transform a document using AI extraction (sync)POST /documents/transform/submit- Submit a document transform (async)
MetadataModelCatalog
Browse available metadata extraction modelsGET /metadata-model-catalog- List Metadata Model CatalogGET /metadata-model-catalog/{model_id}- Get Metadata Model Catalog Entry
Sessions
View session details across agentsGET /sessions/{session_id}- Get SessionGET /sessions/{session_id}/messages- Get Session Messages
Response Codes
| Code | Description |
|---|---|
| 200 | Success |
| 201 | Created |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 422 | Validation Error |
| 429 | Rate Limited |
| 500 | Internal Server Error |
The interactive API playground is available on each endpoint page. You can test API calls directly from the documentation.